//
//  SAAnimatedImageView.h
//
//  Created by Steffen Albrecht on 20.01.12.
//  Copyright (c) 2012 edsa edv dienstleistungen steffen albrecht. All rights reserved.
//

#if (TARGET_OS_IPHONE || TARGET_IPHONE_SIMULATOR)
#import <UIKit/UIKit.h>
#define IVBASE UIImageView
#define IBASE UIImage
#else
#import <AppKit/AppKit.h>
#define IVBASE NSImageView
#define IBASE NSImage
#endif

@class SAAnimatedImageView;

@protocol SAAnimatedImageViewDelegate <NSObject>
-(void)imageViewDidFinish:(SAAnimatedImageView*)iv;
@end

@interface SAAnimatedImageView : IVBASE {
    NSDictionary* dict;
    
    BOOL playing;
    BOOL loop;
    BOOL paused;
    NSInteger step;
    NSInteger cycle;
    id<SAAnimatedImageViewDelegate> delegate;
}

@property (assign) NSInteger loopCount;
@property (assign) NSInteger frameCount;

@property (nonatomic,assign) id<SAAnimatedImageViewDelegate> delegate;

-(void)setDictFilename:(NSString*)filename fromBundle:(BOOL)bundle;
-(void)start:(BOOL)repeat;
-(void)pause;
-(void)stop;
-(void)reset;

-(void)nextFrame;

@end
